/*
 * Hypercube API
 * No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)
 *
 * OpenAPI spec version: 0.2.0
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */

package it.nextworks.nfvmano.sbi.starfish.model;

import java.util.Objects;

import com.google.gson.annotations.SerializedName;
import io.swagger.v3.oas.annotations.media.Schema;

/**
 * TrafficFormats
 */

@javax.annotation.Generated(value = "io.swagger.codegen.v3.generators.java.JavaClientCodegen", date = "2022-04-20T08:51:25.137Z[GMT]")
public class TrafficFormats {
  @SerializedName("direction")
  private Direction direction = null;

  @SerializedName("format")
  private String format = null;

  @SerializedName("packets")
  private Integer packets = null;

  @SerializedName("volume")
  private Integer volume = null;

  public TrafficFormats direction(Direction direction) {
    this.direction = direction;
    return this;
  }

   /**
   * Get direction
   * @return direction
  **/
  @Schema(required = true, description = "")
  public Direction getDirection() {
    return direction;
  }

  public void setDirection(Direction direction) {
    this.direction = direction;
  }

  public TrafficFormats format(String format) {
    this.format = format;
    return this;
  }

   /**
   * Get format
   * @return format
  **/
  @Schema(required = true, description = "")
  public String getFormat() {
    return format;
  }

  public void setFormat(String format) {
    this.format = format;
  }

  public TrafficFormats packets(Integer packets) {
    this.packets = packets;
    return this;
  }

   /**
   * Get packets
   * @return packets
  **/
  @Schema(required = true, description = "")
  public Integer getPackets() {
    return packets;
  }

  public void setPackets(Integer packets) {
    this.packets = packets;
  }

  public TrafficFormats volume(Integer volume) {
    this.volume = volume;
    return this;
  }

   /**
   * Get volume
   * @return volume
  **/
  @Schema(required = true, description = "")
  public Integer getVolume() {
    return volume;
  }

  public void setVolume(Integer volume) {
    this.volume = volume;
  }


  @Override
  public boolean equals(java.lang.Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    TrafficFormats trafficFormats = (TrafficFormats) o;
    return Objects.equals(this.direction, trafficFormats.direction) &&
        Objects.equals(this.format, trafficFormats.format) &&
        Objects.equals(this.packets, trafficFormats.packets) &&
        Objects.equals(this.volume, trafficFormats.volume);
  }

  @Override
  public int hashCode() {
    return Objects.hash(direction, format, packets, volume);
  }


  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class TrafficFormats {\n");
    
    sb.append("    direction: ").append(toIndentedString(direction)).append("\n");
    sb.append("    format: ").append(toIndentedString(format)).append("\n");
    sb.append("    packets: ").append(toIndentedString(packets)).append("\n");
    sb.append("    volume: ").append(toIndentedString(volume)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(java.lang.Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }

}
